<?php
/**
 * The template for displaying 404 pages (not found)
 *
 * @package WordPress
 * @subpackage Bfres
 * @since Bfres 1.0
 */
/*
*Template Name: 404 Page
*/
get_header();
//bfres_render_breadcrumbs();
$bgimg = bfres_get_config('bg-img');
$style = '';
if ( !empty($bgimg['id']) ) {
	$img = wp_get_attachment_image_src($bgimg['id'], 'full');
	if ( !empty($img[0]) ) {
		$style = 'style="background-image: url('.$img[0].');"';
	}
}
?>
<section class="page-404" <?php echo trim($style); ?>>
	<div id="main-container" class="inner">
		<div id="main-content" class="main-page">
			<section class="error-404 not-found clearfix">
				<div class="container">
					<div class="row flex-middle-sm">
						<div class="col-sm-6">
							<div class="slogan">
								<h4 class="title-big">
									<?php
										$title = bfres_get_config('404_title');
										if ( !empty($title) ) {
											echo esc_html($title);
										} else {
											esc_html_e('Oops! This page Could Not Be Found!', 'bfres');
										}
									?>
								</h4>
							</div>
							<div class="page-content">
								<div class="description">
									<?php
									$desc = bfres_get_config('404_description');
									if ( !empty($desc) ) {
										echo trim($desc);
									} else {
										esc_html_e('Sorry bit the page you are looking for does not exist, have been removed or name changed', 'bfres');
									}
									?>
								</div>
								<div class="return">
									<a class="btn btn-theme-second radius-5x" href="<?php echo esc_url( home_url( '/' ) ); ?>"><?php echo esc_html__('Go to homepage','bfres') ?></a>
								</div>
							</div><!-- .page-content -->
						</div>
						<!-- <div class="col-sm-7 hidden-xs">
							<?php if( !empty($icon) && !empty($icon['url'])) { ?>
								<img src="<?php echo esc_url( $icon['url']); ?>" alt="<?php bloginfo( 'name' ); ?>">
							<?php }else{ ?>
								<img src="<?php echo esc_url_raw( get_template_directory_uri().'/images/error.png'); ?>" alt="<?php bloginfo( 'name' ); ?>">
							<?php } ?>
						</div> -->
					</div>
				</div>
			</section><!-- .error-404 -->
		</div><!-- .content-area -->
	</div>
</section>
<?php get_footer(); ?>